aboutsummaryrefslogtreecommitdiff
path: root/system/nvidia-kernel/nvidia-kernel.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/nvidia-kernel/nvidia-kernel.SlackBuild')
-rw-r--r--system/nvidia-kernel/nvidia-kernel.SlackBuild17
1 files changed, 7 insertions, 10 deletions
diff --git a/system/nvidia-kernel/nvidia-kernel.SlackBuild b/system/nvidia-kernel/nvidia-kernel.SlackBuild
index 602e53b27b6cb..9ed4fe2247e3a 100644
--- a/system/nvidia-kernel/nvidia-kernel.SlackBuild
+++ b/system/nvidia-kernel/nvidia-kernel.SlackBuild
@@ -28,7 +28,7 @@
# see nvidia-driver/changelog.txt
PRGNAM=nvidia-kernel
-VERSION=${VERSION:-390.87}
+VERSION=${VERSION:-410.73}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -41,20 +41,17 @@ PKGVER=${VERSION}_$(echo $KERNEL | tr - _)
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- TARGET="x86"
- SRCSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- TARGET="x86"
- SRCSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
TARGET="x86_64"
+else
+ echo "$ARCH is not supported."
+ exit 1
fi
unset ARCH
@@ -92,7 +89,7 @@ if [ "$TARGET" = "x86_64" ]; then
install -m 0664 kernel/nvidia-uvm.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
fi
-# Make sure the X is specified to automagically load the
+# Make sure the X is specified to automagically load the
# correct driver, since I always forget. You can remove
# this file if you have an equivilent entry in /etc/X11/xorg.d